* {
    box-sizing: border-box;
}

:root {
    --primary-color: #548c2f;
    --primary-light: #aab03c;
    --primary-dark: #104911;
    --accent: #f9a620;
    --neutral: #ffffff;
}

html,
body {
    width: 100%;
    height: 100%;
}

body {
    min-height: 100vh;
    margin: 0;
    padding: 0;
    background-color: var(--neutral);
    background-image: url("canvas.jpg");
    /* Full height */
    height: 100vh;
    width: 100vw;
    /* Center and scale the image nicely */
    background-position: center;
    background-size: cover;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    display: flex;
    flex-direction: column;
}

main {
    flex-grow: 1;
}

header,
main,
footer {
    flex-shrink: 0;
}

.page-content-title {
    width: 100%;
    text-align: center;
    color: var(--primary-dark);
    text-transform: uppercase;
}

.page-content {
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: row;
}

.page-content-column {
    width: 25%;
    text-align: center;
}


.title {
    text-transform: uppercase;
}

/* Top Menu */
.menu {
    background-color: var(--primary-light);
    opacity: 75%;
    width: 100%;
    padding: 0px;
}

.menu a {
    float: left;
    display: block;
    color: var(--primary-color);
    text-align: left;
    padding: 16px;
    text-decoration: none;
    font-size: medium;
}

.menu a:hover {
    background-color: var(--primary-dark);
    color: var(--accent);
}

.menu a.active {
    background-color: var(--accent);
    color: var(--primary-dark);
}

.menu a.active:hover {
    color: var(--accent);
}


.submenu {
    position: relative;
    display: inline-block;
}

.submenu .submenu-item {
    font-size: 16px;
    border: none;
    outline: none;
    color: var(--neutral);
    padding: 16px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
}

.menu a:hover,
.submenu:hover .submenu-item {
    background-color: var(--primary-dark);
}

/* footer */
.footer {
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
    background-color: var(--primary-dark);
    opacity: 75%;
    color: var(--neutral);
    margin: 0;
    padding: 0;
    float: left;
}

.footer a {
    color: var(--accent);
}

/* PAGE LEVEL STYLING */
.card {
    box-shadow: 0 10px 20px rgb(59, 44, 6);
    transition: 0.3s;
    background-color: var(--primary-color);
    background-image: url("card.jpg");
    /* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: var(--primary-dark);
    padding: 10px 30px;
    width: 85%;
    min-width: 225px;
    margin: 20px;
    text-align: left;
    border-radius: 15px;
}

.card h4 {
    margin: 0;
    padding-bottom: 10px;
    font-size: 1.5rem;
    border-bottom: 1px dashed var(--accent);
    color: var(--accent);
}

.card-title {
    text-transform: uppercase;
}

.card a {
    color: var(--primary-dark);
    text-decoration: none;
}

.card a:hover {
    color: var(--neutral);
}

ul.data-list {
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    line-height: 1.5rem;
}

ul.data-list li {
    padding: 5px;
}

ul.data-list .badge {
    background-color: var(--primary-dark);
    color: var(--primary-color);
    border-radius: 50%;
    padding: 5px;
    text-align: center;
    margin-left: 4px;
}

@media screen and (max-width: 800px) {

    .menu a,
    .menu input[type=text] {
        float: none;
        display: block;
        text-align: left;
        width: 100%;
        margin: 0;
        padding: 14px;
    }

    /* footer */
    .footer {
        left: 0;
        bottom: 0;
        width: 100%;
        text-align: center;
        background-color: var(--primary-dark);
        color: var(--neutral);
        margin: 0;
        padding: 0;
        float: left;
        position: relative;
    }

    .page-content {
        width: 100%;
        margin: auto;
        display: flex;
        flex-direction: column;
    }

    .page-content-column {
        width: 90%;
        text-align: center;
    }
}